Bug 1395898 - UI: 'Lifecycle' button is still alive, when no providers [NEEDINFO]
Summary: UI: 'Lifecycle' button is still alive, when no providers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Attila
QA Contact: Satyajit Bulage
URL:
Whiteboard: ui
Depends On: 1383205
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 21:34 UTC by Satoe Imaishi
Modified: 2017-02-27 19:23 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1383205
Environment:
Last Closed: 2017-02-27 19:23:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
simaishi: needinfo? (avecerek)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-05 15:05:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/c3b4049a17d1d1c71a7ae64ff4d9c5fccc23ebf2

commit c3b4049a17d1d1c71a7ae64ff4d9c5fccc23ebf2
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Nov 3 11:49:18 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 5 10:02:05 2017 -0500

    Merge pull request #11995 from vecerek/bz-1383205
    
    VmMiqRequestNew and InstanceMiqRequestNew enabled without added providers
    (cherry picked from commit e71c2aa08505c3437b61a7190917e45d36f9335d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1395898

 .../button/instance_miq_request_new.rb                | 19 +++++++++++++++++++
 .../application_helper/button/vm_miq_request_new.rb   | 19 +++++++++++++++++++
 .../application_helper/toolbar/vm_clouds_center.rb    |  3 ++-
 .../application_helper/toolbar/vm_infras_center.rb    |  3 ++-
 4 files changed, 42 insertions(+), 2 deletions(-)
 create mode 100644 app/helpers/application_helper/button/instance_miq_request_new.rb
 create mode 100644 app/helpers/application_helper/button/vm_miq_request_new.rb

Comment 5 Satyajit Bulage 2017-02-20 11:11:49 UTC
"Lifecycle" button is enabled, but options are disabled.

Verified Version: 5.7.1.2.20170214162958_ebaba61

Comment 7 errata-xmlrpc 2017-02-27 19:23:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.